{ config, pkgs, ... }:

let curaWorkaround = with pkgs; stdenv.mkDerivation {
  name = "cura-without-openmp-${cura.version}";
  # https://github.com/NixOS/nixpkgs/issues/59901
  buildPhase = ''
    makeWrapper ${cura}/bin/cura $out/bin/cura --set OMP_NUM_THREADS 1
    mkdir $out/nix-support
    cp ${cura}/nix-support/propagated-user-env-packages $out/nix-support
  '';
  phases = [ "buildPhase" ];
  nativeBuildInputs = [ makeWrapper ];
}; in

{
  environment.systemPackages = with pkgs.haskellPackages; with pkgs; [
    idea-community-eap
    # clion-eap
    texlive.combined.scheme-full biber
    gimp
    inkscape
    # jabref
    stable.libreoffice-fresh
    stablePkgs
    # calibre
    goldendict

    vscode
    cquery

    stack

    elan
    # coq
    # emacsPackages.proofgeneral

    # virtmanager

    curaWorkaround
    openscad
    # freecad
    meshlab

    yarn

    gnome3.baobab

    rustup
  ] ++ (with aspellDicts; [ en de fr nl ]);

  programs.wireshark = {
    enable = true;
    package = pkgs.wireshark;
  };
  users.extraUsers.gebner.extraGroups = [ "wireshark" ];

}
